AlertDefinitionXmlParser (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.alerts.AlertDefinitionXmlParser class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.alerts
Class AlertDefinitionXmlParser

    java.lang.Object
      org.hyperic.hq.alerts.AlertDefinitionXmlParser

    public class AlertDefinitionXmlParser

extends java.lang.Object

Parser responsible for transforming AlertDefinitionsResponse XML to a Set of `AlertDefinitionValue`s

Constructor Summary
`AlertDefinitionXmlParser()`
`AlertDefinitionXmlParser(org.hyperic.hq.authz.shared.ResourceManagerLocal resourceManager, org.hyperic.hq.measurement.shared.TemplateManagerLocal templateManager, org.hyperic.hq.authz.shared.AuthzSubjectManagerLocal authzSubjectManager, org.hyperic.hq.events.shared.AlertDefinitionManagerLocal alertDefinitionManager)`

Method Summary
`java.util.Set` | `parse(java.io.InputStream alertDefinitionsXml)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AlertDefinitionXmlParser

    public AlertDefinitionXmlParser()

### AlertDefinitionXmlParser

    public AlertDefinitionXmlParser(org.hyperic.hq.authz.shared.ResourceManagerLocal resourceManager,
                                    org.hyperic.hq.measurement.shared.TemplateManagerLocal templateManager,
                                    org.hyperic.hq.authz.shared.AuthzSubjectManagerLocal authzSubjectManager,
                                    org.hyperic.hq.events.shared.AlertDefinitionManagerLocal alertDefinitionManager)

Method Detail

### parse

    public java.util.Set parse(java.io.InputStream alertDefinitionsXml)

  Parameters:
    `alertDefinitionsXml` - InputStream of XML that can be deserialized to an `AlertDefinitionsResponse`
  Returns:
    A Set of `AlertDefinitionValue`s parsed from the XML

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.